# -*- mode: Perl; -*-
# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)


use Test::More tests=>7;
use strict;
use Data::Dumper;

BEGIN {use_ok('DNSSEC::Registry::Trust_Container'); }         # test 1

use Net::DNS;
my $rr=Net::DNS::RR->new("www.example.foo 	3600 IN	DNSKEY	256  3  3 ( 
			AQO088/mqG4hzGzg6kjpZUCeUTBlDhpgqjWT
			GaE2ELLhqScSOy8WzRSw/YGog7a8XqOjtoBP
			rQsT6vtR6dJ/CBeK7fupPGiJn0Ec0QvT6u4V
			dXndvWYCU+i36gTqmsIMVoC542JnDa9hjWCz
			gyVAyz5kIU8Nvsgcx/JafIPeTbqnQQ== 
			) ; Key ID = 31020");



my $trust=DNSSEC::Registry::Trust_Container->new($rr);
is (ref ($trust),"DNSSEC::Registry::Trust_Container","Object created");


print $trust->string;

ok ($trust->is_pending, "Defaults to PENDING");               # test 3

$trust->set_warped;
ok ($trust->is_warped, "Set to WARPED");                      #test 4


$trust->set_pending;
ok ($trust->is_pending, "Set to PENDING");                     # test 5

$trust->set_revoked;
ok ($trust->is_revoked, "Set to REVOKED");                     # test 6


$trust->set_pending;
ok ( ! $trust->is_pending, "Not to other state once revoked");  # test 7


my $trust2=DNSSEC::Registry::Trust_Container->read("t/trustobj.txt");


print $trust2->string;

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

